umbrello: FindResults Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes | List of all members
FindResults Class Reference

`#include <findresults.h>`

Inheritance diagram for FindResults:

## Public Slots
bool | displayNext ()
bool | displayPrevious ()

## Public Member Functions
| FindResults ()
virtual | ~FindResults ()
void | clear ()
int | collect (UMLFinder::Filter filter, UMLFinder::Category category, const QString &text)

## Protected Attributes
QList< UMLSceneFinder > | m_sceneFinder
QList< UMLDocFinder > | m_docFinder
QList< UMLListViewFinder > | m_listViewFinder

## Detailed Description

Class FindResults performs find and provide ui with find results

Author
  : Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ FindResults()

FindResults::FindResults | ( |  | ) |

## ◆ ~FindResults()

FindResults::~FindResults | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clear()

void FindResults::clear | ( |  | ) |

Clear the find results.

## ◆ collect()

int FindResults::collect | ( | UMLFinder::Filter | filter,
|  | UMLFinder::Category | category,
|  | const QString & | text
| ) |  |

Collect items limited by a filter, a category and a text

Parameters

  filter | filter to limit the search
  category | category to search for (currently unsupported)
  text |

Returns
  Number of items found

## ◆ displayNext

bool FindResults::displayNext | ( |  | ) |
| slot

Show next item.

Returns
  false if no more items are available
  true an item has been displayed

## ◆ displayPrevious

bool FindResults::displayPrevious | ( |  | ) |
| slot

Show previous item.

Returns
  false if no more items are available
  true an item has been displayed

## Member Data Documentation

## ◆ m_docFinder

QList<UMLDocFinder> FindResults::m_docFinder
| protected

## ◆ m_listViewFinder

QList<UMLListViewFinder> FindResults::m_listViewFinder
| protected

## ◆ m_sceneFinder

QList<UMLSceneFinder> FindResults::m_sceneFinder
| protected

The documentation for this class was generated from the following files:

- umbrello/finder/findresults.h
- umbrello/finder/findresults.cpp